gi-xlib-2.0.13: xlib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Xlib.Structs.XWindowAttributes

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype XWindowAttributes = XWindowAttributes (ManagedPtr XWindowAttributes)

# Exported types

newtype XWindowAttributes Source #

Memory-managed wrapper type.

Constructors

XWindowAttributes (ManagedPtr XWindowAttributes) |

#### Instances

Instances details

Eq XWindowAttributes Source # |
Instance details Defined in GI.Xlib.Structs.XWindowAttributes Methods (==) :: XWindowAttributes -> XWindowAttributes -> Bool Source # (/=) :: XWindowAttributes -> XWindowAttributes -> Bool Source #
BoxedPtr XWindowAttributes Source # |
Instance details Defined in GI.Xlib.Structs.XWindowAttributes Methods boxedPtrCopy :: XWindowAttributes -> IO XWindowAttributes Source # boxedPtrFree :: XWindowAttributes -> IO () Source #
ManagedPtrNewtype XWindowAttributes Source # |
Instance details Defined in GI.Xlib.Structs.XWindowAttributes Methods toManagedPtr :: XWindowAttributes -> ManagedPtr XWindowAttributes Source #

# Methods